<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<service serviceGroup="" cachable="false" cacheduration="" description="getAccountsPostLogin" endpoint="default" groupType="" id="getAccountsPostLoginCC" passwordencrypted="false" security="public" type="jsonConnector" smscode="" smsenabled="false">
    <service-config>
        <config-param api-version="" appid="" name="preprocessorname" value=""/>
        <config-param api-version="" appid="" name="postprocessorname" value=""/>
        <config-param api-version="" appid="" name="preprocessorJS" value=""/>
        <config-param api-version="" appid="" name="postprocessorJS" value=""/>
        <config-param api-version="" appid="" name="preprocessorRules" value=""/>
        <config-param api-version="" appid="" name="postprocessorRules" value=""/>
        <config-param api-version="" appid="" name="kony_http_supported_methods" value="POST"/>
        <config-param api-version="" appid="" name="endpointUrl" value="http://172.20.22.20:7000/temenos/v1/getAccountsPostLogin"/>
        <config-param api-version="" appid="" name="ignorehttpproxy" value="true"/>
        <config-param api-version="" appid="" name="http.method" value="POST"/>
        <config-param api-version="" appid="" name="dataObjectName" value=""/>
        <config-param api-version="" appid="" name="sockettimeout" value=""/>
        <config-param api-version="" appid="" name="responseEncoding" value="UTF-8"/>
        <config-param api-version="" appid="" name="isembedxmlpresent" value="false"/>
        <config-param api-version="" appid="" name="retrycount" value="0"/>
        <config-param api-version="" appid="" name="jsonpath" value="true"/>
    </service-config>
    <service-input passthrough="false">
        <header datatype="" name="" passthrough="false"/>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="accountID" order="" paramOrder="1" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="monthId" order="" paramOrder="2" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="year" order="" paramOrder="3" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="phone" order="" paramOrder="4" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="userId" order="" paramOrder="5" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="477715" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="customerType" order="" paramOrder="6" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <template-param datatype="" defaultvalue="{&#10;    &quot;accountID&quot;: &quot;$accountID&quot;,&#10;    &quot;monthId&quot;: &quot;$monthId&quot;,&#10;    &quot;year&quot;: &quot;$year&quot;,&#10;    &quot;phone&quot;: &quot;$phone&quot;,&#10;    &quot;userId&quot;: &quot;$userId&quot;,&#10;    &quot;customerType&quot;: &quot;$customerType&quot;&#10;}" description="" encode="false" format="" formatvalue="" name="message" order="" paramOrder="0" parentOrder="0" sms-name="" src="" sourcevalue="" srcformatvalue="" target="" targetdatatype="" value="{&#10;    &quot;accountID&quot;: &quot;$accountID&quot;,&#10;    &quot;monthId&quot;: &quot;$monthId&quot;,&#10;    &quot;year&quot;: &quot;$year&quot;,&#10;    &quot;phone&quot;: &quot;$phone&quot;,&#10;    &quot;userId&quot;: &quot;$userId&quot;,&#10;    &quot;customerType&quot;: &quot;$customerType&quot;&#10;}">
            <accessType></accessType>
        </template-param>
        <stub-param value=""/>
    </service-input>
    <service-output passthrough="false">
        <dataset defaultvalue="" id="accounts" order="" paramOrder="1" parentOrder="0" src="$.accounts[*]" testvalue="">
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="accountID" order="" paramOrder="2" parentOrder="1" passnull="false" sms-name="" src="accountID" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="accountName" order="" paramOrder="3" parentOrder="1" passnull="false" sms-name="" src="accountName" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="accountType" order="" paramOrder="4" parentOrder="1" passnull="false" sms-name="" src="accountType" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="availableBalance" order="" paramOrder="5" parentOrder="1" passnull="false" sms-name="" src="availableBalance" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="availablePoints" order="" paramOrder="6" parentOrder="1" passnull="false" sms-name="" src="availablePoints" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="bankName" order="" paramOrder="7" parentOrder="1" passnull="false" sms-name="" src="bankName" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="creditCardNumber" order="" paramOrder="8" parentOrder="1" passnull="false" sms-name="" src="creditCardNumber" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="currencyCode" order="" paramOrder="9" parentOrder="1" passnull="false" sms-name="" src="currencyCode" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="currentBalance" order="" paramOrder="10" parentOrder="1" passnull="false" sms-name="" src="currentBalance" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="displayName" order="" paramOrder="11" parentOrder="1" passnull="false" sms-name="" src="displayName" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="isBusinessAccount" order="" paramOrder="12" parentOrder="1" passnull="false" sms-name="" src="isBusinessAccount" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="isPFM" order="" paramOrder="13" parentOrder="1" passnull="false" sms-name="" src="isPFM" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="nickName" order="" paramOrder="14" parentOrder="1" passnull="false" sms-name="" src="nickName" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="outstandingBalance" order="" paramOrder="15" parentOrder="1" passnull="false" sms-name="" src="outstandingBalance" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="supportBillPay" order="" paramOrder="16" parentOrder="1" passnull="false" sms-name="" src="supportBillPay" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="supportCardlessCash" order="" paramOrder="17" parentOrder="1" passnull="false" sms-name="" src="supportCardlessCash" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="supportChecks" order="" paramOrder="18" parentOrder="1" passnull="false" sms-name="" src="supportChecks" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="supportDeposit" order="" paramOrder="19" parentOrder="1" passnull="false" sms-name="" src="supportDeposit" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="supportTransferFrom" order="" paramOrder="20" parentOrder="1" passnull="false" sms-name="" src="supportTransferFrom" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="supportTransferTo" order="" paramOrder="21" parentOrder="1" passnull="false" sms-name="" src="supportTransferTo" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="estatementEnable" order="" paramOrder="22" parentOrder="1" passnull="false" sms-name="" src="estatementEnable" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="availableCredit" order="" paramOrder="26" parentOrder="1" passnull="false" sms-name="" src="availableCredit" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
        </dataset>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="errorMessage" order="" paramOrder="23" parentOrder="0" passnull="false" sms-name="" src="$.errorMessage" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="type" order="" paramOrder="24" parentOrder="0" passnull="false" sms-name="" src="$.type" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="message" order="" paramOrder="25" parentOrder="0" passnull="false" sms-name="" src="$.message" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="code" order="" paramOrder="27" parentOrder="0" passnull="false" sms-name="" src="$.code" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="errmsg" order="" paramOrder="28" parentOrder="0" passnull="false" sms-name="" src="$.errmsg" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
    </service-output>
</service>
